# Generated by Django 3.0.8 on 2020-11-08 12:15

from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('feeds', '0005_auto_20200831_1332'),
    ]

    operations = [
        migrations.CreateModel(
            name='Scraper_Feed',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=1024)),
                ('description', models.CharField(default='', max_length=2048)),
                ('link', models.URLField(default='https://blog.forumias.com/mustread/', max_length=400)),
                ('version', models.CharField(max_length=64)),
                ('timestamp', models.DateTimeField(default=django.utils.timezone.now)),
                ('category', models.ForeignKey(default=1, on_delete=django.db.models.deletion.CASCADE, to='feeds.FeedCategory', verbose_name='FeedCategory')),
            ],
        ),
        migrations.CreateModel(
            name='Scraper_Feed_Entry',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('link', models.URLField(max_length=800, unique=True)),
                ('published', models.DateTimeField(default=django.utils.timezone.now)),
                ('summary', models.TextField()),
                ('title', models.CharField(max_length=280)),
                ('timestamp', models.DateTimeField(default=django.utils.timezone.now)),
                ('key_url', models.URLField(default='https://blog.forumias.com/', max_length=800)),
                ('feeds', models.ManyToManyField(related_name='scraper_entries', to='feeds.Scraper_Feed')),
            ],
            options={
                'ordering': ['-published'],
            },
        ),
        migrations.AddIndex(
            model_name='scraper_feed_entry',
            index=models.Index(fields=['link'], name='feeds_scrap_link_39751f_idx'),
        ),
        migrations.AddIndex(
            model_name='scraper_feed_entry',
            index=models.Index(fields=['published'], name='feeds_scrap_publish_2756c0_idx'),
        ),
        migrations.AddIndex(
            model_name='scraper_feed_entry',
            index=models.Index(fields=['timestamp'], name='feeds_scrap_timesta_c0b04a_idx'),
        ),
    ]
